#!/bin/sh
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/src2pkg/src2pkg.conf.new
config etc/src2pkg/DONT_PURGE.locales.new

( cd usr/libexec/src2pkg/static ; rm -f cat )
( cd usr/libexec/src2pkg/static ; ln -sf busybox cat )
( cd usr/libexec/src2pkg/static ; rm -f cp )
( cd usr/libexec/src2pkg/static ; ln -sf busybox cp )
( cd usr/libexec/src2pkg/static ; rm -f cut )
( cd usr/libexec/src2pkg/static ; ln -sf busybox cut )
( cd usr/libexec/src2pkg/static ; rm -f egrep )
( cd usr/libexec/src2pkg/static ; ln -sf busybox egrep )
( cd usr/libexec/src2pkg/static ; rm -f grep )
( cd usr/libexec/src2pkg/static ; ln -sf busybox grep )
( cd usr/libexec/src2pkg/static ; rm -f mkdir )
( cd usr/libexec/src2pkg/static ; ln -sf busybox mkdir )
( cd usr/libexec/src2pkg/static ; rm -f rm )
( cd usr/libexec/src2pkg/static ; ln -sf busybox rm )
( cd usr/libexec/src2pkg/static ; rm -f sort )
( cd usr/libexec/src2pkg/static ; ln -sf busybox sort )
( cd usr/libexec/src2pkg/static ; rm -f uniq )
( cd usr/libexec/src2pkg/static ; ln -sf busybox uniq )
( cd usr/libexec/src2pkg/static ; rm -f ls )
( cd usr/libexec/src2pkg/static ; ln -sf busybox ls )
( cd usr/libexec/src2pkg/static ; rm -f tar )
( cd usr/libexec/src2pkg/static ; ln -sf busybox tar )

( cd usr/libexec/src2pkg/lib ; rm -f libfakeroot.so )
( cd usr/libexec/src2pkg/lib ; ln -sf libfakeroot-0.so libfakeroot.so )

echo "The src2pkg package does not contain the binaries"
echo "and libraries needed to create packages. Instead"
echo "you must first run 'src2pkg --setup' as root in"
echo "order to compile them. Or you can choose to do"
echo "that right now. Would you like for me to run the"
echo "src2pkg setup script right now? If you are using"
echo "upgradepkg to install this package you should"
echo "answer 'n' the first time you see this. Please"
echo "answer either 'y' for yes, or 'n' for no."
echo -n ">"
read ANSWER
if [ "$ANSWER" = "y" -o "$ANSWER" = "yes" ] ; then
  cd /usr/src/src2pkg/src2pkg ;
  . ./src2pkg.setup
  if [ $? -eq 0 ] ; then
    echo "  Successfully compiled src2pkg binaries and libraries"
    echo "  Waiting 5 seconds to quit..."
    sleep 5
    exit 0
  else
    echo "  Compiling src2pkg binaries and libraries failed!"
    echo "  Waiting 5 seconds to quit..."
    sleep 5
    exit 1
  fi
else
 echo "Skipping 'src2pkg --setup'. You can run it later"
 echo "(as 'root') to finish setting up src2pkg."
 echo "Waiting 5 seconds to quit..."
 sleep 5
fi
